## Version Information Version Information — Macros to check the libuhttpmock version |

## Functions

#define | UHM_CHECK_VERSION()

## Types and Values

#define | UHM_MAJOR_VERSION
#define | UHM_MINOR_VERSION
#define | UHM_MICRO_VERSION

## Description

uhttpmock provides compile-time version information.

## Functions

### UHM_CHECK_VERSION()

    #define             UHM_CHECK_VERSION(major,minor,micro)

Evaluates to `TRUE` if the version of the libuhttpmock header files is the same as or newer than the passed-in version.

#### Parameters

major | major version (e.g. 1 for version 1.2.3) |
minor | minor version (e.g. 2 for version 1.2.3) |
micro | micro version (e.g. 3 for version 1.2.3) |

Since: 0.1.0

## Types and Values

### UHM_MAJOR_VERSION

    #define UHM_MAJOR_VERSION (0)

Evaluates to the major version of the libuhttpmock headers at compile time. (e.g. in libuhttpmock version 1.2.3 this is 1).

Since: 0.1.0

### UHM_MINOR_VERSION

    #define UHM_MINOR_VERSION (5)

Evaluates to the minor version of the libuhttpmock headers at compile time. (e.g. in libuhttpmock version 1.2.3 this is 2).

Since: 0.1.0

### UHM_MICRO_VERSION

    #define UHM_MICRO_VERSION (1)

Evaluates to the micro version of the libuhttpmock headers at compile time. (e.g. in libuhttpmock version 1.2.3 this is 3).

Since: 0.1.0